Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039305
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2018-09-17 16:332018-10-01 11:36
ReporterJONHMView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision463468c986a3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039305: Performance issue in c_bpartner_trg on environment with lots of data

DescriptionThere is a performance issue in c_bpartner_trg on environment with lots of data when changing a BP's price list.
Steps To ReproduceAsk environment to Support:

- Open Business Partner window and select 'CLIENTE MOSTRADOR' BP
- Change it's price list on the selector and save the record

it takes 15517.787 ms to save the record.
Proposed SolutionMost of the time is spent on the following query:

SELECT MAX(p.c_currency_id)
INTO v_currency_credit
FROM fin_payment p
WHERE p.c_bpartner_id = new.C_BPartner_ID
AND p.generated_credit <> 0
AND p.generated_credit-COALESCE(p.used_credit, 0) <> 0;
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00393783.0PR18Q3.2 closedAtulOpenbravo Performance issue in c_bpartner_trg on environment with lots of data 

-  Notes
(0107062)
hgbot (developer)
2018-09-28 10:16

Repository: erp/devel/pi
Changeset: 463468c986a3dd39e77c69f159477422f311ebe1
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Sep 27 00:00:16 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/463468c986a3dd39e77c69f159477422f311ebe1 [^]

Fixes Issue 39305:Performance issue in c_bpartner_trg on environment
with lots of data

** Made use of fin_payment_bpartner_credit index in query
to fetch curreny of the generated credit not yet consumed
in c_bpartner_trg.

---
M src-db/database/model/triggers/C_BPARTNER_TRG.xml
---
(0107063)
Sandrahuguet (developer)
2018-09-28 10:20

Code review + testing OK
(0107085)
hudsonbot (developer)
2018-10-01 11:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c83c34c74ee4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-09-17 16:33 JONHM New Issue
2018-09-17 16:33 JONHM Assigned To => Triage Finance
2018-09-17 16:33 JONHM Modules => Core
2018-09-17 16:33 JONHM Triggers an Emergency Pack => No
2018-09-17 17:27 Sandrahuguet Tag Attached: Performance
2018-09-17 17:47 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2018-09-26 12:29 AtulOpenbravo Status new => scheduled
2018-09-28 10:16 hgbot Checkin
2018-09-28 10:16 hgbot Note Added: 0107062
2018-09-28 10:16 hgbot Status scheduled => resolved
2018-09-28 10:16 hgbot Resolution open => fixed
2018-09-28 10:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/463468c986a3dd39e77c69f159477422f311ebe1 [^]
2018-09-28 10:20 Sandrahuguet Review Assigned To => Sandrahuguet
2018-09-28 10:20 Sandrahuguet Note Added: 0107063
2018-09-28 10:20 Sandrahuguet Status resolved => closed
2018-09-28 10:20 Sandrahuguet Fixed in Version => 3.0PR18Q4
2018-09-28 12:58 Sandrahuguet Status closed => new
2018-09-28 12:58 Sandrahuguet Resolution fixed => open
2018-09-28 12:58 Sandrahuguet Fixed in Version 3.0PR18Q4 =>
2018-09-28 12:58 Sandrahuguet Status new => scheduled
2018-09-28 12:58 Sandrahuguet Status scheduled => resolved
2018-09-28 12:58 Sandrahuguet Resolution open => fixed
2018-09-28 12:58 Sandrahuguet Status resolved => closed
2018-10-01 11:36 hudsonbot Checkin
2018-10-01 11:36 hudsonbot Note Added: 0107085


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker